Subject: Re: [PATCH net-next] ipv4: properly apply change to ignore_routes_on_linkdown to all interfaces

From: David Ahern <[email-masked]>
Date: Wed, 2 Mar 2016 10:36:18 -0800

On 3/2/16 10:28 AM, Andy Gospodarek wrote:
>> This seems wrong -- changing the 'all' and 'default' settings for a sysctl
>> >should not require walking the interface list.
> Not if you want to actually apply the config to all the interfaces.  If
> you notice this borrows heavily from the sysctl to control ipv4
> forwarding as it behaves in a manner that I would consider to be
> proper.
>

When the config is checked runtime it can look at 'all' and the setting 
for the individual interface; you don't have to walk the devices and 
apply the setting each time it is changed. See the keep_addr_on_down 
implementation.